Index: WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py	(revision 731)
+++ WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py	(revision 731)
@@ -0,0 +1,16 @@
+## Script (Python) "folder_delete"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=
+##
+# $Id: folder_delete.py 586 2006-09-28 22:10:21Z joachim $
+"""
+FIXME: add docstring.
+"""
+
+return context.REQUEST.RESPONSE.redirect("%s/content_create?type_name=StudentCourseResult"
+                                          % (context.absolute_url()))
Index: WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 727)
+++ WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 731)
@@ -59,5 +59,7 @@
 with_review = state != "all"
 onlyreview = with_review and not term
-with_level_results = state.startswith("category") and evalAdvancedQuery is not None
+with_level_results = state.startswith("category") or\
+                     state in ('content_addable',) and\
+                     evalAdvancedQuery is not None
 bools = "with_review = %s<br\> onlyreview = %s<br\> with_level_results = %s" % (with_review,onlyreview,with_level_results)
 if not term and not with_review:
@@ -87,5 +89,6 @@
 elif onlyreview and with_level_results:
     query_step = 2
-    query =  Eq('portal_type','StudentStudyLevel') & Eq('review_state',state) 
+    query =  (Eq('portal_type','StudentStudyLevel') | 
+             Eq('portal_type','StudentStudyCourse')) & Eq('review_state',state) 
     res = evalAdvancedQuery(query)
 elif what == "student_id":
@@ -135,5 +138,6 @@
         st = "%s*" % term.strip()
     query = Eq('portal_type',pt) & Eq('SearchableText',"%s*" % term.strip().lower())\
-                | Eq('portal_type','StudentStudyLevel') & Eq('review_state',state) 
+                | ((Eq('portal_type','StudentStudyLevel') | 
+                   Eq('portal_type','StudentStudyCourse')) & Eq('review_state',state))
     try:
         res = evalAdvancedQuery(query)
@@ -149,5 +153,5 @@
 if res:
     for r in res:
-        if r.portal_type in ("StudentApplication","StudentPersonal",):
+        if r.portal_type in ("StudentApplication","StudentPersonal","StudentStudyCourse",):
             student = r.getObject().aq_parent
         elif r.portal_type in ("StudentStudyLevel",):
@@ -167,5 +171,5 @@
         students.append(context.getStudentInfo(item))
     return context.students_manager_view(rendered = rend,
-                             psm = "%d matching Students found" % len(items),
+                             psm = "%d matching Students found QS = %s" % (len(items),query_step),
                              students = students,
                              is_manager = is_manager,
Index: WAeUP_SRP/trunk/skins/waeup_student/student_course_result_created.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_course_result_created.py	(revision 731)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_course_result_created.py	(revision 731)
@@ -0,0 +1,32 @@
+## Script (Python) "cpsdocument_created"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=object=None
+##title=
+##
+"""
+Do the necessary rendering or redirection after an object has been
+successfully created and filled with the initial values by the user.
+
+In CPS, context is a proxy.
+
+May return a rendered document, or do a redirect.
+"""
+# $Id: level_created.py 614 2006-10-03 13:44:51Z henrik $
+if object is not None:
+    course = object
+else:
+    course = context
+real_course = context.findCourseById(course.getId())
+from_real_course = ('title','credits','passmark')
+d = {}
+for f in from_real_course:
+    d[f] = getattr(real_course,f)
+course.getContent().edit(mapping=d)
+psm = 'CourseResult created'
+action_path = context.getTypeInfo().immediate_view
+context.REQUEST.RESPONSE.redirect('%s/%s?portal_status_message=%s' %
+                                  (context.absolute_url(), action_path, psm))
Index: WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 727)
+++ WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 731)
@@ -27,5 +27,5 @@
                 tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
               <td align="left" valign="middle" style="width: 5px;" 
-                  tal:condition="python:0 and is_manager">
+                  tal:condition="python:1 and is_manager">
                 <input type="checkbox" name="ids:list" value="" id="" class="noborder"
                        tal:condition="is_manager"
@@ -63,5 +63,5 @@
             <td align="left" valign="top" rowspan="3"></td>
             <td align="left" valign="top">
-              <span tal:condition="python:0 and is_manager">
+              <span tal:condition="python:1 and is_manager">
                 <input type="button" value="button_select_all" class="context"
                        onclick="someJavaScriptFunctionThatWillBeReplaced"
@@ -70,7 +70,7 @@
                        % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
                        />
-                <input type="submit" name="approve_checked:method"
+                <input tal:condition="python:0" type="submit" name="approve_checked:method"
                        class="context" value="Approve" />
-                <input type="submit" name="retract_checked:method"
+                <input tal:condition="python:0" type="submit" name="retract_checked:method"
                        class="context" value="Retract" />
                 <input type="submit" name="folder_delete:method" value="button_delete"
@@ -79,5 +79,5 @@
                        (cpsmcat('description_confirm_delete'), )" 
                        />
-                <input tal:condition="python: context.portal_type not in ('Semester','Certificate')"
+                <input tal:condition="python: 0"
                        type="submit" name="id_rename_form:method"
                        class="context" value="Change Object ID" i18n:attributes="value" 
